import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { UniqueIdService } from '@ironsource/fusion-ui/services/unique-id';
import { RadioGroupOptions } from '@ironsource/fusion-ui/components/radio-group/common/entities';
import * as i0 from "@angular/core";
export declare abstract class RadioGroupBaseComponent implements OnInit, ControlValueAccessor {
    private uniqueIdService;
    /** @internal */
    id: string;
    /**
     * radio buttons group name
     */
    set name(value: string);
    /**
     * radiobutton inline direction
     */
    inline: boolean;
    /**
     * disabled (all group)
     */
    set disabled(value: boolean);
    /**
     * radiobutton option: interface RadioGroupOptions
     */
    set options(value: RadioGroupOptions[]);
    /** @internal */
    selectedChange: EventEmitter<any>;
    get name(): string;
    get disabled(): boolean;
    get options(): RadioGroupOptions[];
    get selected(): RadioGroupOptions;
    private _name;
    private _disabled;
    private _options;
    private _selected;
    constructor(uniqueIdService: UniqueIdService);
    ngOnInit(): void;
    /** @internal */
    isSelected(option: RadioGroupOptions): boolean;
    /** @internal */
    setSelected(radioValue: string | number, option: RadioGroupOptions): void;
    /**
     * Method to call when value has changes.
     * @internal
     */
    propagateChange: (_: RadioGroupOptions) => void;
    /**
     * Method to call when the component is touched (when it was is clicked).
     * @internal
     */
    propagateTouched: () => void;
    /**
     * update value from model to the component
     * @internal
     */
    writeValue(value: RadioGroupOptions): void;
    /**
     * Informs the outside world about changes.
     * see method propagateChange call - this.propagateChange(this.model);
     * @internal
     */
    registerOnChange(fn: any): void;
    /**
     * on click
     * @internal
     */
    registerOnTouched(fn: any): void;
    /**
     * on set form controll enabled / disabled
     * also do UI Component enabled / disabled
     * @internal
     */
    setDisabledState?(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioGroupBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RadioGroupBaseComponent, never, never, { "name": { "alias": "name"; "required": false; }; "inline": { "alias": "inline"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "options": { "alias": "options"; "required": false; }; }, { "selectedChange": "selectedChange"; }, never, never, false, never>;
}
